当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 24 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : [问题]Opera不能够运行(已解决)
帖子发表于 : 2006-05-04 19:50 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
直接运行Opera没有反应。
在终端运行Opera命令有如下提示:
代码:
oliver@ubuntu:~$ opera
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
/usr/lib/opera/8.50-20050916.6/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory
oliver@ubuntu:~$


最后由 oliver 编辑于 2006-05-13 13:26,总共编辑了 7 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-05-05 21:14 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
卸载Opera然后重新安装也是一样。
是否需要的库文件找不到呢?然后重新安装也不能够解决。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-05-05 23:16 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
libqt-mt

$ as libqt-mt
libqt3-headers - Qt3 header files
libqt3-mt - Qt GUI Library (Threaded runtime version), Version 3
libqt3-mt-dev - Qt development files (Threaded)


_________________
● 鸣学


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-05-06 10:06 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
是需要安装哪些包么?我在终端如下执行还是不行。几个包都尝试安装。
代码:
oliver@ubuntu:~$ apt-cache search libqt-mt
libqt3-headers - Qt3 header files
libqt3-mt - Qt GUI Library (Threaded runtime version), Version 3
libqt3-mt-dev - Qt development files (Threaded)
oliver@ubuntu:~$ sudo apt-get install libqt-mt
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 无法找到软件包 libqt-mt
oliver@ubuntu:~$ sudo apt-get libqt3-headers
E: 无效的操作 libqt3-headers
oliver@ubuntu:~$ sudo apt-get libqt3-mt
E: 无效的操作 libqt3-mt
oliver@ubuntu:~$


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-05-06 13:18 
头像

注册: 2005-08-18 18:43
帖子: 3277
送出感谢: 0 次
接收感谢: 3
应该是
sudo apt-get install libqt3-headers libqt3-mt libqt3-mt-dev


_________________
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-05-06 13:52 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
谢谢!~


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-05-06 13:53 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
谢谢!~ 丢掉了install…… :cry:

可是安装了这三个包Opera同样不能够运行,而且从终端运行错误提示同样。
引用:
oliver@ubuntu:~$ sudo apt-get install libqt3-headers libqt3-mt libqt3-mt-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
libqt3-headers 已经是最新的版本了。
libqt3-mt 已经是最新的版本了。
libqt3-mt-dev 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 2 个软件未被升级。
oliver@ubuntu:~$ opera
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
/usr/lib/opera/8.50-20050916.6/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory
oliver@ubuntu:~$



页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-05-06 18:46 
头像

注册: 2005-08-18 18:43
帖子: 3277
送出感谢: 0 次
接收感谢: 3
libqt-mt.so.3
找ee要一个


_________________
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-05-06 21:41 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
谢谢!~ 等Eexpress兄有空了我联系他。
内存不足 写道:
libqt-mt.so.3
找ee要一个


页首
 用户资料  
 
10 楼 
 文章标题 : Re: [问题]Opera不能够运行(搁置)
帖子发表于 : 2006-05-07 2:12 
头像

注册: 2006-02-27 20:19
帖子: 599
地址: works system
送出感谢: 0 次
接收感谢: 0 次
oliver 写道:
直接运行Opera没有反应。
在终端运行Opera命令有如下提示:
代码:
oliver@ubuntu:~$ opera
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
/usr/lib/opera/8.50-20050916.6/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory
oliver@ubuntu:~$

你的opera是直接编译安装的吗?可以直接去Opera官网下deb包,现在有8.54的deb包


_________________
东西路,南北走
十字路口人咬狗
拿起狗来打砖头
砖头咬了狗一口
图片


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-05-07 10:25 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
我用apt-get remove将软件服务器下载的Opera卸载了然后从Opera官方下载了Ubuntu的deb程序包。用dpkg安装后仍然不能运行。同样的错误提示:
代码:
oliver@ubuntu:~$ opera

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
/usr/lib/opera/9.0-20060411.6/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory
oliver@ubuntu:~$


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-05-08 17:25 

注册: 2005-12-18 13:28
帖子: 80
地址: JN>SD>PRC
系统: 12.04
送出感谢: 0 次
接收感谢: 0 次
在终端下运行linux的时候可能会出现这样的提示:


引用:
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.

说明java的设置有问题。解决方法:
工具菜单(Tools) -> 首选项(Preferences) -> 高级标签(Advanced Tab) -> 内容(Content) -> Java
修改为:

引用:
/usr/lib/j2re1.5-sun/lib/i386/


点击测试,既可。具体java的路径可能略有不同。
(概设置生效需要重新打开浏览器。)

其他问题看看这里:http://www.superwatson.com/read.php/13.htm


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-05-08 17:51 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
您的意思是让我在Opera中设置?可是我现在根本打不开Opera…… :(
引用:
……
其他问题看看这里:http://www.superwatson.com/read.php/13.htm


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-05-08 19:10 
头像

注册: 2005-08-15 0:04
帖子: 1880
地址: 南7技校
送出感谢: 0 次
接收感谢: 0 次
这个是共享qt的,去下载一个静态qt的应该有没有问题了把。


_________________
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2006-05-10 12:10 
头像

注册: 2005-10-05 11:31
帖子: 775
送出感谢: 0 次
接收感谢: 0 次
您好,您的指点我看不明白。
zhan 写道:
这个是共享qt的,去下载一个静态qt的应该有没有问题了把。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 24 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:MSNbot Media 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译